AlphaCTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.AlphaCTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class AlphaCTools

    java.lang.Object
      org.biojava.bio.structure.AlphaCTools

    public final class AlphaCTools

extends Object

AlphaCTools is a collection of static convenience methods for dealing with Alpha Carbon Backbone Phi / Psi angles. In BioJava Phi Psi angles are represented as Symbols from the ALPHA CARBON ANGLES alphabet. A Backbone could be represented as a SymbolList. A Ramachandran plot might be represented as a Distribution over Phi Psi Symbols.

Version:
  1.0
Author:
  Mark Schreiber

Field Summary
`static double` | `MAX_ANGLE` MAX_ANGLE .
`static double` | `MIN_ANGLE` MIN_ANGLE .

Constructor Summary
`AlphaCTools()`

Method Summary
`static Alphabet` | `getAlphaCarbonAngleAlphabet()` Returns a reference to the Alphabet that contains Symbols that represent PHI, PSI angles.
`static double` | `getPhiAngle(Symbol phiPsiSym)` extracts the Phi angle from a `Symbol`.
`static Symbol` | `getPhiPsiSymbol(double phiAngle, double psiAngle)` Makes a Phi - Psi Symbol from the ALPHA CARBON ANGLES alphabet.
`static double` | `getPsiAngle(Symbol phiPsiSym)` extracts the Psi angle from a `Symbol`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_ANGLE

    public static final double MAX_ANGLE

  MAX_ANGLE .

  See Also:
    Constant Field Values

### MIN_ANGLE

    public static final double MIN_ANGLE

  MIN_ANGLE .

  See Also:
    Constant Field Values

Constructor Detail

### AlphaCTools

    public AlphaCTools()

Method Detail

### getAlphaCarbonAngleAlphabet

    public static Alphabet getAlphaCarbonAngleAlphabet()

  Returns a reference to the Alphabet that contains Symbols that represent PHI, PSI angles.

  Returns:
    a reference to the ALPHA CARBON ANGLES alphabet

### getPhiPsiSymbol

    public static Symbol getPhiPsiSymbol(double phiAngle,
                                         double psiAngle)
                                  throws IllegalSymbolException

  Makes a Phi - Psi Symbol from the ALPHA CARBON ANGLES alphabet.

  Parameters:
    `phiAngle` - the phi angle between -180.0 and +180.0
    `psiAngle` - the psi angle between -180.0 and +180.0
  Returns:
    a reference to the 'fly weight' Symbol.
  Throws:
    `IllegalSymbolException` - if the bond angles are outside the specified range

### getPhiAngle

    public static double getPhiAngle(Symbol phiPsiSym)
                              throws IllegalSymbolException

  extracts the Phi angle from a `Symbol`.

  Parameters:
    `phiPsiSym` - a `Symbol` from the ALPHA CARBON ANGLES `Alphabet`
  Returns:
    a double between -180.0 and +180.0
  Throws:
    `IllegalSymbolException` - if the `Symbol` is not from the ALPHA CARBON ANGLES `Alphabet`

### getPsiAngle

    public static double getPsiAngle(Symbol phiPsiSym)
                              throws IllegalSymbolException

  extracts the Psi angle from a `Symbol`.

  Parameters:
    `phiPsiSym` - a `Symbol` from the ALPHA CARBON ANGLES `Alphabet`
  Returns:
    a double between -180.0 and +180.0
  Throws:
    `IllegalSymbolException` - if the `Symbol` is not from the ALPHA CARBON ANGLES `Alphabet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD